// ExamineDialog.cpp : implementation file
//

#include "stdafx.h"
#include "quincy.h"
#include "ExamineDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CExamineDialog dialog


CExamineDialog::CExamineDialog(CWnd* pParent)
	: CDialog(CExamineDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CExamineDialog)
	//}}AFX_DATA_INIT
}


void CExamineDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CExamineDialog)
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CExamineDialog, CDialog)
	//{{AFX_MSG_MAP(CExamineDialog)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CExamineDialog message handlers

void CExamineDialog::OnOK() 
{

	CWnd* pWnd = GetDlgItem(IDC_EXAMINE_VARIABLE);
	ASSERT(pWnd != 0);
	CString strVarName;
	pWnd->GetWindowText(strVarName);
	if (strVarName.IsEmpty())
		CDialog::OnOK();
	else	{
		CString strVarValue;
		// ---- if any change, update the variable
		pWnd = GetDlgItem(IDC_EXAMINE_NEWVALUE);
		ASSERT(pWnd != 0);
		pWnd->GetWindowText(strVarValue);
		if (!strVarValue.IsEmpty())	{
			theApp.SetVariableValue(strVarName, strVarValue);
			theApp.RefreshAllWatches();
		}
		// ---- get the variable's value and display it
		theApp.GetVariableValue(strVarName, strVarValue);
		pWnd = GetDlgItem(IDC_EXAMINE_VALUE);
		ASSERT(pWnd != 0);
		pWnd->SetWindowText(strVarValue);
	}
}

