// setup.cpp

#include "stdafx.h"
#include <io.h>
#include "setup.h"
#include "setupDlg.h"

CSetupApp::CSetupApp()
{
}

CSetupApp theApp;

BOOL CSetupApp::InitInstance()
{
//	SetRegistryKey("Al Stevens Programs");
#ifdef _AFXDLL
	Enable3dControls();
#else
	Enable3dControlsStatic();
#endif
	m_strSourcePath = m_pszHelpFilePath;
	if (m_strSourcePath.Right(4).CompareNoCase(".hlp") == 0)	{
		int nIndex = m_strSourcePath.ReverseFind('\\');
		if (nIndex == -1)
			nIndex = m_strSourcePath.ReverseFind('/');
		if (nIndex != -1)
			m_strSourcePath = m_strSourcePath.Left(nIndex);
	}

	// --- determine if an html browser is installed and, if so, what the exe is for it
	char keyValue[MAX_PATH+1];
	LONG keyLen = MAX_PATH;
	HKEY hKey1, hKey2, hKey3, hKey4;

	if ((RegOpenKeyEx(HKEY_CLASSES_ROOT, "HTTP", 0, KEY_READ, &hKey1)) == ERROR_SUCCESS)	{
		if ((RegOpenKeyEx(hKey1, "Shell", 0, KEY_READ, &hKey2)) == ERROR_SUCCESS)	{
			if ((RegOpenKeyEx(hKey2, "Open", 0, KEY_READ, &hKey3)) == ERROR_SUCCESS)	{
				if ((RegOpenKeyEx(hKey3, "Command", 0, KEY_READ, &hKey4)) == ERROR_SUCCESS)	{
					if ((RegQueryValue(hKey4, NULL, keyValue, &keyLen)) == ERROR_SUCCESS)	{
						CString strPath(keyValue+1);
						int ndx = strPath.Find('"');
						if (ndx != -1)	{
							m_strBrowserPath = strPath.Left(ndx);
							if (_access(m_strBrowserPath, 0) != 0)
								m_strBrowserPath.Empty();
						}
					}
					RegCloseKey(hKey4);
				}
				RegCloseKey(hKey3);
			}
			RegCloseKey(hKey2);
		}
		RegCloseKey(hKey1);
	}


	CSetupDlg dlg;
	m_pMainWnd = &dlg;
	dlg.DoModal();
	return FALSE;
}


