// --------- CMFEvents.cpp

#include "stdafx.h"
#include "CMFEvents.h"

CMFEvents::CMFEvents()
{
	m_nEventsAllocated = nInitialCMFEvents;
	m_pCMFEvents = new CMFEvent[m_nEventsAllocated];
	Initialize();
}
CMFEvents::~CMFEvents()
{
	delete [] m_pCMFEvents;
}
void CMFEvents::Initialize()
{
	m_nEventCount = 0;
	m_dwPrevClock = 0;
}
void CMFEvents::PostEvent(DWORD dwClock, DWORD dwEvent)
{
	if (m_nEventCount == m_nEventsAllocated)	{
		CMFEvent* pCMFEvents = new CMFEvent[m_nEventsAllocated + nAppendCMFEvents];
		for (int i = 0; i < m_nEventsAllocated; i++)
			pCMFEvents[i] = m_pCMFEvents[i];
		delete [] m_pCMFEvents;
		m_pCMFEvents = pCMFEvents;
		m_nEventsAllocated += nAppendCMFEvents;
	}
	m_pCMFEvents[m_nEventCount].dwMidiEvent = dwEvent;
	m_pCMFEvents[m_nEventCount].dwClock = dwClock - m_dwPrevClock;
	m_dwPrevClock = dwClock;
	m_nEventCount++;
}

