// DlgInsertMeasures.cpp : implementation file
//

#include "stdafx.h"
#include "midifitz.h"
#include "DlgInsertMeasures.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgInsertMeasures dialog


CDlgInsertMeasures::CDlgInsertMeasures(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgInsertMeasures::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgInsertMeasures)
	m_nMeasureCount = 4;
	//}}AFX_DATA_INIT
}


void CDlgInsertMeasures::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgInsertMeasures)
	DDX_Control(pDX, IDC_SPIN1, m_Spin);
	DDX_Text(pDX, IDC_EDIT1, m_nMeasureCount);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlgInsertMeasures, CDialog)
	//{{AFX_MSG_MAP(CDlgInsertMeasures)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgInsertMeasures message handlers

BOOL CDlgInsertMeasures::OnInitDialog() 
{
	CDialog::OnInitDialog();
	m_Spin.SetRange(1,32);
	m_Spin.SetPos(4);
	return TRUE;
}

void CDlgInsertMeasures::OnOK() 
{
	UpdateData(TRUE);
	if (m_nMeasureCount < 1 || m_nMeasureCount > 32)
		MessageBox("You may insert 1 - 32 measures", "Measures", MB_ICONSTOP);
	else
		CDialog::OnOK();
}
