// KeyDlg.cpp : implementation file
//

#include "stdafx.h"
#include "midifitz.h"
#include "KeyDlg.h"
#include "song.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CKeyDlg dialog


CKeyDlg::CKeyDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CKeyDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CKeyDlg)
	m_bTranspose = TRUE;
	//}}AFX_DATA_INIT
}


void CKeyDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CKeyDlg)
	DDX_Control(pDX, IDC_KEY, m_Key);
	DDX_Check(pDX, IDC_TRANSPOSE, m_bTranspose);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CKeyDlg, CDialog)
	//{{AFX_MSG_MAP(CKeyDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CKeyDlg message handlers

BOOL CKeyDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	m_Chord = theSong.m_Key;
	int root = m_Chord.root;
	if (m_Chord.attr & CChord::minor)
		root += 12;
	m_Key.SetCurSel(root - 1);
	UpdateData(FALSE);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CKeyDlg::OnOK() 
{
	UpdateData(TRUE);
	int root = m_Key.GetCurSel() + 1;
	if (root != 0)	{
		if (root > 12)	{
			root -= 12;
			m_Chord.attr = CChord::minor;
		}
		else
			m_Chord.attr = CChord::major;
		m_Chord.root = root;
	}
	CDialog::OnOK();
}

