// ---- mididev.cpp

#include "stdafx.h"
#include "midifitz.h"
#include "mididev.h"
#include "options.h"

midiDevice::midiDevice(char* pDevName, int nChannel) : 
			m_pDevName(pDevName),
			m_nDefaultChannel(nChannel)
{
	Initialize();
}
void midiDevice::Initialize()
{
	m_nChannel = theOptions.GetChannel(m_pDevName, m_nDefaultChannel) - 1;
}
void midiDevice::SetChannel(int channel)
{
	m_nChannel = channel - 1;
	theOptions.SetChannel(m_pDevName, channel);
}
