// Page.h : header file
#ifndef PAGE_H
#define PAGE_H

#include "MidiFitz.h"

// CPage abstract base class dialog

class CSheet;

class CPage : public CPropertyPage	{
	DECLARE_DYNCREATE(CPage)
	BOOL OnToolTipNotify(UINT, NMHDR* pNMHDR, LRESULT*);

	int m_nID;
	char* m_pHelpKey;
protected:
	BOOL m_bIsActive;
	BOOL m_bIsInitialized;
	static CSheet* m_pCSheet;
	virtual BOOL OnInitDialog();
	virtual BOOL OnSetActive();
	virtual BOOL OnKillActive();
	virtual BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	virtual void OnHelp();
	virtual void OnDestroy();
	virtual void OnOK();
public:
	CPage(int id = 0, char* pHelpKey = 0);
	virtual BOOL SaveSettings();
	DECLARE_MESSAGE_MAP()
};

#endif
