// TempoDlg.cpp : implementation file
//

#include "stdafx.h"
#include "midifitz.h"
#include "TempoDlg.h"
#include "song.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTempoDlg dialog


CTempoDlg::CTempoDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CTempoDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTempoDlg)
	m_nTempo = 0;
	//}}AFX_DATA_INIT
}


void CTempoDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTempoDlg)
	DDX_Control(pDX, IDC_SPIN1, m_Tempo);
	DDX_Text(pDX, IDC_EDIT1, m_nTempo);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CTempoDlg, CDialog)
	//{{AFX_MSG_MAP(CTempoDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTempoDlg message handlers

BOOL CTempoDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	m_Tempo.SetRange(64,280);
	m_Tempo.SetPos(theSong.m_nTempo);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CTempoDlg::OnOK() 
{
	UpdateData(TRUE);
	if (m_nTempo < 64 || m_nTempo > 280)
		MessageBox("Valid tempos are 64-280", "Tempo", MB_ICONSTOP);
	else
		CDialog::OnOK();
}
