// Editor.h : main header file for the EDITOR application
//

#if !defined(AFX_EDITOR_H__408454C5_548A_11D2_A779_00C0A80034F0__INCLUDED_)
#define AFX_EDITOR_H__408454C5_548A_11D2_A779_00C0A80034F0__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CEditorApp:
// See Editor.cpp for the implementation of this class
//

class CEditorApp : public CWinApp
{
	CMultiDocTemplate* m_pDocTemplate;
	void MaximizeDocuments();
	CWnd* GetViewWindow();
public:
	CEditorApp();
	const Tabstops() const
		{ return 4; }		// set an option later?
	const GetMargin() const
		{ return 2; }		// set an option later?

	void SaveWindowSettings();
	void SaveOpenDocuments();
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEditorApp)
	public:
	virtual BOOL InitInstance();
	//}}AFX_VIRTUAL

// Implementation

	//{{AFX_MSG(CEditorApp)
	afx_msg void OnAppAbout();
	afx_msg void OnWindowCloseAll();
	afx_msg void OnFileOpen();
	afx_msg void OnFileSaveAll();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

// The one and only CEditorApp object
extern CEditorApp theApp;

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITOR_H__408454C5_548A_11D2_A779_00C0A80034F0__INCLUDED_)
