#include <windows.h>
#include <stdio.h>
#include <string.h>
#include <stdarg.h>

#define ID_ADDTRACE 32824

BOOL CALLBACK EnumWindowsProc(HWND hwnd, LPARAM trace)
{
	char title[MAX_PATH];
	GetWindowText(hwnd, title, MAX_PATH);
	if (strncmp(title, "Quincy 2000", 11) == 0)	{
		SendMessage(hwnd, ID_ADDTRACE, 0, trace);
		return FALSE;
	}
	return TRUE;
}

void trace(const char* fmt, ...)
{
	static char trace[100];
	va_list ap;
	va_start(ap, fmt); 
	vsprintf(trace, fmt, ap);
	va_end(ap);
	EnumWindows(EnumWindowsProc, (LPARAM)trace);
}

