// ChildFrm.cpp : implementation of the CChildFrame class
//

#include "stdafx.h"
#include "Quincy.h"

#include "ChildFrm.h"
#include "resource.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CChildFrame

IMPLEMENT_DYNCREATE(CChildFrame, CMDIChildWnd)

BEGIN_MESSAGE_MAP(CChildFrame, CMDIChildWnd)
	ON_WM_CONTEXTMENU()
	//{{AFX_MSG_MAP(CChildFrame)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CChildFrame construction/destruction

CChildFrame::CChildFrame()
{
	m_pdocview = 0;
}

CChildFrame::~CChildFrame()
{
}

BOOL CChildFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CMDIChildWnd::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CChildFrame diagnostics

#ifdef _DEBUG
void CChildFrame::AssertValid() const
{
	CMDIChildWnd::AssertValid();
}

void CChildFrame::Dump(CDumpContext& dc) const
{
	CMDIChildWnd::Dump(dc);
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CChildFrame message handlers


void CChildFrame::OnContextMenu(CWnd *, CPoint point)
{

/////////////////////////////////////////////////////////////////////////
// need to add a test here for the editor view when Editor is integrated
/////////////////////////////////////////////////////////////////////////

	CMenu menu;
	VERIFY(menu.LoadMenu(IDR_MAINFRAME));

	// ---- use the fourth pulldown menu from the main menu as the popup
	CMenu* pPopup = menu.GetSubMenu(3);
	ASSERT(pPopup != NULL);

	ASSERT(m_pdocview != NULL);
	// ---- if the project has no files, disable Build, Build All, and Execute
	Debugger* pDebugger = theApp.GetDebugger(FALSE);
	UINT action = (m_pdocview->GetItemCount() != 0 && !theApp.CompileRunning() && theApp.CanCompile() && pDebugger == 0)
		? MF_ENABLED : MF_DISABLED | MF_GRAYED;
	pPopup->EnableMenuItem(ID_BUILD,action);
	pPopup->EnableMenuItem(ID_BUILDALL,action);
	pPopup->EnableMenuItem(ID_EXECUTE,action);
	action = (theApp.CompileRunning() || pDebugger != 0) ? MF_ENABLED : MF_DISABLED | MF_GRAYED;
	pPopup->EnableMenuItem(ID_STOPBUILD,action);

	// ---- if the project has no selected files, disable Delete
	action = m_pdocview->GetSelectedCount() == 0 ? MF_DISABLED | MF_GRAYED : MF_ENABLED;
	pPopup->EnableMenuItem(ID_DELETE_FILE,action);

	// ---- can't compile from the project view
	pPopup->EnableMenuItem(ID_COMPILE, MF_DISABLED | MF_GRAYED);

	// ---- display and track the popup menu, sending commands to the view object
	pPopup->TrackPopupMenu(TPM_LEFTALIGN | TPM_RIGHTBUTTON, point.x, point.y, m_pdocview);
}

