// ProjectDlg.cpp : implementation file
//

#include "stdafx.h"
#include "quincy.h"
#include "ProjectDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// ProjectDlg dialog


ProjectDlg::ProjectDlg(CWnd* pParent /*=NULL*/)
	: CDialog(ProjectDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(ProjectDlg)
	m_nProjectType = -1;
	m_strTarget = _T("");
	m_strWorking = _T("");
	//}}AFX_DATA_INIT
}


void ProjectDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(ProjectDlg)
	DDX_Radio(pDX, IDC_CONSOLE, m_nProjectType);
	DDX_Text(pDX, IDC_TARGET, m_strTarget);
	DDX_Text(pDX, IDC_WORKING, m_strWorking);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(ProjectDlg, CDialog)
	//{{AFX_MSG_MAP(ProjectDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// ProjectDlg message handlers

void ProjectDlg::OnOK() 
{
	UpdateData(TRUE);
	if (m_strTarget.IsEmpty())
		AfxMessageBox("Target name required", MB_ICONSTOP);
	else
		CDialog::OnOK();
}
