// DlgSelectChord.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDlgSelectChord dialog

#include "midicord.h"

class CDlgSelectChord : public CDialog
{
	static midiChord m_Selections[];
	static int m_nChordEntries;
	int m_nSelection;
	CChord m_OldChord;
	char m_cKey;
	int m_nBassSelection;

// Construction
public:
	CDlgSelectChord(CWnd* pParent = NULL);   // standard constructor
	CChord GetChord(const CChord& oldChord);
	CChord GetChord(char key);

// Dialog Data
	//{{AFX_DATA(CDlgSelectChord)
	enum { IDD = IDD_SELECTCHORD };
	CListBox	m_BassNoteList;
	CComboBox	m_ChordList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgSelectChord)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgSelectChord)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnDblclkChordlist();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
