// ---- keyboard.h
#ifndef KEYBOARD_H
#define KEYBOARD_H

#include "midindev.h"
#include "midicord.h"

class Keyboard : public midiInDevice {
	BOOL m_bNotesdown[88];
	static struct ChordVoicings	{
		unsigned char note[4];
		midiChord chord;
	} m_Voicings[];
	void BuildChord();
public:
	Keyboard(MidiIn* pMidiIn) : midiInDevice("Keyboard", 1, pMidiIn)
		{ Initialize(); }
	void Initialize();
	void NoteOn(short unsigned note);
	void NoteOff(short unsigned note);
	virtual void StopPlaying()
		{ midiInDevice::StopPlaying(); Initialize(); }
};

#endif
