// Settings.h : header file
//

#ifndef SETTINGS_H
#define SETTINGS_H

#include "Page.h"

/////////////////////////////////////////////////////////////////////////////
// CSettings dialog

class CSettings : public CPage
{
	DECLARE_DYNCREATE(CSettings)

// Construction
public:
	CSettings();
	~CSettings();
	BOOL SaveSettings();
	void InitializeControls();

// Dialog Data
	//{{AFX_DATA(CSettings)
	enum { IDD = IDD_SETTINGS_PAGE };
	CSliderCtrl	m_PianoVolume;
	CSliderCtrl	m_PianoPan;
	CSliderCtrl	m_DrumsVolume;
	CSliderCtrl	m_DrumsPan;
	CSliderCtrl	m_BassVolume;
	CSliderCtrl	m_BassPan;
	CSliderCtrl	m_GuitarVolume;
	CSliderCtrl	m_GuitarPan;
	BOOL	m_bAdjustBass;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CSettings)
	public:
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CSettings)
	virtual BOOL OnInitDialog();
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnSettingsReset();
	afx_msg void OnAdjustbass();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

#endif
